Skip to main content
PUT
/
taxes
/
{code}
Update a tax
curl --request PUT \
  --url https://core.nozle.app/api/v1/taxes/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tax": {
    "name": "TVA",
    "code": "french_standard_vat",
    "rate": "20.0",
    "description": "French standard VAT",
    "applied_to_organization": true
  }
}
'
{
  "tax": {
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "name": "TVA",
    "code": "french_standard_vat",
    "rate": 20,
    "applied_to_organization": true,
    "created_at": "2023-07-06T14:35:58Z",
    "description": "French standard VAT"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

The code of the tax. It serves as a unique identifier associated with a particular tax. The code is typically used for internal or system-level identification purposes.

Example:

"french_standard_vat"

Body

application/json

Tax update payload

tax
object
required

Response

Tax updated

tax
object
required